Skip to content

Review required 8526f31f

API Description

This API creates a data backfill task for an application acceleration plan on Aloudata CAN.

API URL

POST http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/accelerate/task/create

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs

Request Parameters

Common Request Parameters

Parameter Type Required Max Length Description
tenant-id String Yes 32 Tenant ID, used to identify the tenant that contains the metric query content
auth-type String Yes 32 Authentication method. Supports UIDTOKENACCOUNTAPIKEY
auth-value String Yes 32 Authentication value corresponding to auth-type

Request Parameters

Request ParametersDescription

Parameter Type Required Description
planId String Yes Plan ID
startTime String Yes Start time
endTime String Yes End time
dateIntervalOfLot Intger No Backfills data by the specified time interval. For example, 7 means that data is backfilled in 7-day intervals, as shown below.

ResponseParameter

Parameter Type Required Description
success Boolean Yes Whether the request succeeded
code String Yes API response code
errorMsg String Yes Error message
detailErrorMsg String Yes Error details
traceId String Yes Trace ID used for troubleshooting
data true Yes Task created successfully

Request Example

{
    "planId": "result_34bfe9036e2e65328e9849430f54cdf5",
    "startTime": "2025-01-01",
    "endTime": "2025-01-04",
    "dateIntervalOfLot":1
}

Response Example

Success:

{
    "data": true,
    "success": true,
    "code": "200",
    "errorMsg": null,
    "detailErrorMsg": null,
    "traceId": "e78bba97f56f45d3a95d928de2cc4473.144.17193886412950007"
}

Failure:

{
    "data": null,
    "success": true,
    "code": "200",
    "errorMsg": "Failed to create the data backfill task for the application acceleration plan",
    "detailErrorMsg": null,
    "traceId": "e78bba97f56f45d3a95d928de2cc4473.144.17193886412950007"
}